#ifndef CParoord_H
#define CParoord_H

#include "ogl.H"

class CParcoord 
{
public:
	CParcoord ();
    ~CParcoord ();
  
protected:
	bool ParcoordTestDimensionality();
	void DrawParcoordAxes(grCanvas *canvas);
	void DrawParcoordAxesWithBands(grCanvas *canvas);
    void DrawParcoordAxesWithTwoAxes(grCanvas *canvas);
    void DrawParcoordWideAxes(grCanvas *canvas);
    void InputParacoordFindAxesBetween(grCanvas *canvas, double X, double Y, int &dim);
	void InputParacoordFindAxesNear(grCanvas *canvas, double X, double Y, int &dim);
	void ParcoordCaption(grCanvas *canvas, int x, int y);
	void InputParacoordScaleAxes(grCanvas *canvas, int dim, double delta);
	double XMAP(int I);
	double XMINMAP(int I);
	double XMAXMAP(int I);
	double YMAP(int X, double Y);
    double YMAP(double Y);
	double YINVMAP(int X, double Y);
};


#endif



